## groovy.xml.streamingmarkupsupport
Class OutputSink

Field Summary
`String` | `name`

Constructor Summary
`OutputSink(String name)`

Method Summary
`def` | `Document(Closure root, Map namespaceMethodMap)`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`Object` | `invokeMethod(String name, Object args)`
`Object` | `leftShift(Object item)`
`Object` | `leftShift(String command, Object value)`
`void` | `setProperty(String property, Object newValue)`

Constructor Detail

### OutputSink

    public OutputSink(String name)

Method Detail

### Document

    public def Document(Closure root, Map namespaceMethodMap)

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### leftShift

    public Object leftShift(Object item)

### leftShift

    Object leftShift(String command, Object value)

### setProperty

    public void setProperty(String property, Object newValue)